Subject: Re: linux kernel's IPV6_MULTICAST_HOPS default is 64; should be 1?

From: David Miller <[email-masked]>
Date: Mon, 03 May 2010 23:05:53 -0700 (PDT)

From: Brian Haley <[email-masked]>
Date: Mon, 03 May 2010 22:16:39 -0400

> It looks like a bug to me, feel free to send along a patch :)

Is it?  The quoted text is only about setting the value and what
effect setting -1 or whatever has.

For getting the value, the behavior described sounds just fine.

The default for a socket is whatever the kernel-wide default is.